Google Web Toolkit (Beta)
Search this site:

# Class TypeOracleException

public class TypeOracleException
extends Exception
// Superclass of `ParseException`, `NotFoundException`, `BadTypeArgsException`
The superclass of exceptions thrown by TypeOracle.

## Constructors

TypeOracleException() |
TypeOracleException(String) |
TypeOracleException(String, Throwable) |
TypeOracleException(Throwable) |

## Constructor Detail

### TypeOracleException

public TypeOracleException()

### TypeOracleException

public TypeOracleException(String message)

#### Parameters

message

### TypeOracleException

public TypeOracleException(String message, Throwable cause)

#### Parameters

message
cause

### TypeOracleException

public TypeOracleException(Throwable cause)

#### Parameters

cause